## spass 1.0

=== DESCRIPTION ===
Package: spass
Title: Study Planning and Adaptation of Sample Size
Version: 1.0
Date: 2016-09-12
Author: T. Asendorf, R. Gera, S. Islam, M. Harden and M. Placzek
Maintainer: Marius Placzek <marius.placzek@med.uni-goettingen.de>
Description: Sample size estimation and blinded sample size reestimation in Adaptive Study Design.
Imports: stats, utils
Depends: mvtnorm,multcomp,Rcpp,MASS,geepack
License: GPL
LazyData: true
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2016-09-30 12:49:13 UTC; mplacze
Repository: CRAN
Date/Publication: 2016-10-01 01:00:37

## spass 1.1

=== DESCRIPTION ===
Package: spass
Type: Package
Title: Study Planning and Adaptation of Sample Size
Version: 1.1
Date: 2017-10-10
Author: T. Asendorf, R. Gera, S. Islam, M. Harden and M. Placzek
Maintainer: Marius Placzek <marius.placzek@med.uni-goettingen.de>
Description: Sample size estimation and blinded sample size reestimation in Adaptive Study Design.
License: GPL
Encoding: UTF-8
LazyData: true
Imports: Rcpp,mvtnorm,multcomp,MASS,geepack,stats,utils
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-02 11:09:59 UTC; tasendo
Repository: CRAN
Date/Publication: 2017-11-02 16:01:23 UTC

## spass 1.2

=== DESCRIPTION ===
Package: spass
Type: Package
Title: Study Planning and Adaptation of Sample Size
Version: 1.2
Date: 2018-07-12
Author: T. Asendorf, R. Gera, S. Islam, M. Harden and M. Placzek
Maintainer: Marius Placzek <marius.placzek@med.uni-goettingen.de>
Description: Sample size estimation and blinded sample size reestimation in Adaptive Study Design.
License: GPL
Encoding: UTF-8
LazyData: true
Imports: Rcpp,mvtnorm,multcomp,MASS,geepack,stats,utils
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-07-12 13:48:52 UTC; mplacze
Repository: CRAN
Date/Publication: 2018-07-12 14:20:03 UTC

## spass 1.3

=== DESCRIPTION ===
Package: spass
Type: Package
Title: Study Planning and Adaptation of Sample Size
Version: 1.3
Date: 2020-12-01
Author: T. Asendorf, R. Gera, S. Islam, M. Harden and M. Placzek
Maintainer: Marius Placzek <marius.placzek@med.uni-goettingen.de>
Description: Sample size estimation and blinded sample size reestimation in Adaptive Study Design.
License: GPL
Encoding: UTF-8
LazyData: true
Imports: Rcpp,mvtnorm,multcomp,MASS,geepack,stats,utils
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2020-12-02 16:01:42 UTC; tasendorf
Repository: CRAN
Date/Publication: 2020-12-07 22:40:02 UTC

## spass 3.7

=== debian/changelog ===
spass (3.7-3) unstable; urgency=low

  * Added debian/watch

 -- Roland Stigge <stigge@antcom.de>  Mon, 15 Aug 2011 22:07:12 +0200

spass (3.7-2) unstable; urgency=low

  * Remove debian patches to broken texinfo files until fixed upstream
  * debian/control: Standards-Version: 3.9.0

 -- Roland Stigge <stigge@antcom.de>  Tue, 29 Jun 2010 22:04:02 +0200

spass (3.7-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2010 18:59:28 +0200

spass (2.1-5) unstable; urgency=low

  * Moved to source format 3.0 (quilt)
  * debian/control: Standards-Version: 3.8.4

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2010 18:43:16 +0200

spass (2.1-4) unstable; urgency=low

  * debian/rules: Removed DEB_BASE_DIR (Closes: #495149)
  * debian/control: Standards-Version: 3.8.0
  * debian/compat: 7

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Aug 2008 18:05:44 +0200

spass (2.1-3) unstable; urgency=low

  * Updated Description

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Oct 2003 09:20:04 +0200

spass (2.1-2) unstable; urgency=low

  * New maintainer (Closes: #214950)
  * Set debhelper version compatibility level to 4
  * Adjusted debian/copyright
  * Standards-Version: 3.6.1

 -- Roland Stigge <stigge@antcom.de>  Sat, 11 Oct 2003 13:59:36 +0200

spass (2.1-1) unstable; urgency=low

  * new upstream release
  * use fixed versions of man pages (thanks to Dalibor Topic)
  * debian/control: upgraded to new version of Debian policy

 -- Marco Kuhlmann <mk@debian.org>  Sat, 17 May 2003 15:58:20 +0200

spass (2.0-4) unstable; urgency=low

  * added manpages for dfg2ascii, dfg2otter, dfg2tptp (closes: #159334)
  * debian/control: changed the description
  * debian/control: upgraded to new version of Debian policy

 -- Marco Kuhlmann <mk@debian.org>  Tue,  1 Oct 2002 10:26:00 +0200

spass (2.0-3) unstable; urgency=low

  * debian/rules: actually build the architecture dependent packages in
    binary-arch (closes: #159238)

 -- Marco Kuhlmann <mk@debian.org>  Mon,  2 Sep 2002 12:54:11 +0100

spass (2.0-2) unstable; urgency=low

  * debian/rules: do not rely on autotools-dev being installed

 -- Marco Kuhlmann <mk@debian.org>  Sun,  1 Sep 2002 16:51:15 +0100

spass (2.0-1) unstable; urgency=low
  
  * initial release (closes: #156728)

 -- Marco Kuhlmann <mk@debian.org>  Thu, 22 Aug 2002 00:21:12 +0100

=== debian/control ===
Source: spass
Section: science
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Roland Stigge <stigge@antcom.de>
Standards-Version: 3.9.0

Package: spass
Architecture: any
Depends: dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Description: An automated theorem prover for first-order logic with equality
 SPASS is a saturation-based automated theorem prover for first-order logic with
 equality.  It is unique due to the combination of the superposition calculus
 with specific inference/reduction rules for sorts (types) and a splitting rule
 for case analysis motivated by the beta-rule of analytic tableaux and the case
 analysis employed in the Davis-Putnam procedure.  Furthermore, SPASS provides a
 sophisticated clause normal form translation.
 .
 This package consists of the SPASS/FLOTTER binary, documentation, and a small
 example collection.  The tools collections contain the proof checker pcs, the
 syntax translators dfg2otter and dfg2tptp, and the ASCII pretty printer
 dfg2ascii.
 .
 For more information, additional and partly huge example collections, consider
 the project homepage at http://spass.mpi-sb.mpg.de/.

=== debian/rules ===
#!/usr/bin/make -f

# spass for Debian/GNU
# Marco Kuhlmann <mk@debian.org>
# Roland Stigge <stigge@antcom.de>

export DH_OPTIONS

# needed if dpkg-buildpackage is not used

export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# cross-compilation

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  configure_options += --build $(DEB_BUILD_GNU_TYPE)
else
  configure_options += --host $(DEB_HOST_GNU_TYPE) --build $(DEB_BUILD_GNU_TYPE)
endif

# generic Debian directories

DEB_DEBIAN_DIR = $(CURDIR)/debian
DEB_INSTALL_DIR = $(DEB_DEBIAN_DIR)/spass

# generic targets

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(configure_options) \
		--prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man
	touch $@

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(DEB_INSTALL_DIR)
	-rm -f $(DEB_INSTALL_DIR)/usr/share/info/dir
	# until fixed upstream:
	-rm -rf $(DEB_INSTALL_DIR)/usr/share/info
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f install-stamp build-stamp configure-stamp source-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f scripts/FLOTTER
	dh_clean

# package-specific targets

binary-arch: build install
	dh_testdir
	dh_testroot
	rm -f $(DEB_DEBIAN_DIR)/spass/usr/bin/FLOTTER
	ln -s SPASS $(DEB_DEBIAN_DIR)/spass/usr/bin/FLOTTER
	ln -s SPASS.1 $(DEB_DEBIAN_DIR)/spass/usr/share/man/man1/FLOTTER.1
	dh_installdocs `find doc -name '*.pdf'` README VERSIONHISTORY
	dh_installexamples examples/*
	dh_installchangelogs
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install
	dh_testdir
	dh_testroot

binary: binary-arch

.PHONY: configure build install clean binary-arch binary-indep binary

=== debian/watch ===
version=3
opts="uversionmangle=s/(.)(.+)/$1.$2/" http://www.spass-prover.org/download/index.html sources/spass(.+)\.tgz

## spass 3.9

=== debian/changelog ===
spass (3.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Workaround parallel FTBFS by disabling parallel building.
    (Closes: #976928)

 -- Adrian Bunk <bunk@debian.org>  Thu, 21 Jan 2021 17:21:50 +0200

spass (3.9-1) unstable; urgency=medium

  * New upstream version. This version fixes an FTBFS with glibc 2.26
    (closes: #887646).
  * Switch build-dependency debhelper to debhelper-compat, drop debian/compat
  * Debhelper compatibility level 12 (no change) 
  * Add build-dependency on bison, flex
  * Do not attempt to install upstream documentation, it is gone from
    version 3.9:
    - drop debian/spass.docs
    - drop override of dh_auto_install which is no longer needed
    - drop debian/spass.examples as upstream's examples are gone
    - drop debian/spass.manpages as upstreams's manpages are gone
    - drop linking of FLOTTER.1
    - put upstream's example problem54.dfg into debian/tests
    - drop dependency on install-info
  * Create debian/spass.install as upstream's makefile doesn't do install
  * Update Vcs-{Browser,Git} to salsa
  * Standards-version 4.5.0:
    - debian/copyright: use https in format header 
  
 -- Ralf Treinen <treinen@debian.org>  Wed, 29 Apr 2020 11:04:25 +0200

spass (3.7-4) unstable; urgency=medium

  * Set maintainer to debian-science with me as uploader (closes: #812755)
  * Add Vcs-{Git,Browser} fields.
  * Short description: do not start with an article.
  * Add Homepage field, and drop reference to upstream homepage from the
    long description.
  * d/copyright: convert to machine-readable format 1.0
  * rewrite debian/rules:
    - use dh.
    - add debian/spass.links
    - add debian/spass.docs
    - add debian/spass.example
    - add debian/spass.manpages
  * DH compatibility level 10
  * Standards-version 3.9.8 (no change)
  * Add dep-8 style test, using the example provided by upstream
  * docs:
    - install pdf documents into /usr/share/doc/spass
    - drop the html docs which are incomplete, and superseded by the man pages
    
 -- Ralf Treinen <treinen@debian.org>  Sun, 23 Oct 2016 20:22:48 +0200

=== debian/control ===
Source: spass
Section: science
Priority: optional
Build-Depends: debhelper-compat (=12),
 bison,
 flex
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Vcs-Git: https://salsa.debian.org/science-team/spass.git
Vcs-Browser: https://salsa.debian.org/science-team/spass
Homepage: http://www.mpi-inf.mpg.de/departments/automation-of-logic/software/spass-workbench/classic-spass-theorem-prover/
Standards-Version: 4.5.0

Package: spass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: automated theorem prover for first-order logic with equality
 SPASS is a saturation-based automated theorem prover for first-order logic with
 equality.  It is unique due to the combination of the superposition calculus
 with specific inference/reduction rules for sorts (types) and a splitting rule
 for case analysis motivated by the beta-rule of analytic tableaux and the case
 analysis employed in the Davis-Putnam procedure.  Furthermore, SPASS provides a
 sophisticated clause normal form translation.
 .
 This package consists of the SPASS/FLOTTER binary, documentation, and a small
 example collection.  The tools collections contain the proof checker pcs, the
 syntax translators dfg2otter and dfg2tptp, and the ASCII pretty printer
 dfg2ascii.
